Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class OneColorBasedResource

    java.lang.Object
      org.richfaces.resource.AbstractJava2DUserResource
          org.richfaces.renderkit.html.images.OneColorBasedResource

All Implemented Interfaces:
  org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

Direct Known Subclasses:
  InputErrorIcon

    public abstract class OneColorBasedResource

extends org.richfaces.resource.AbstractJava2DUserResource
implements org.richfaces.resource.StateHolderResource

Constructor Summary
`OneColorBasedResource(java.awt.Dimension dimension, java.lang.String basicColorParamName)`

Method Summary
`protected java.awt.Color` | `getBasicColor()` Gets value of basicColor field.
`boolean` | `isTransient()`
`abstract void` | `paint(java.awt.Graphics2D graphics2d)`
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput dataInput)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput dataOutput)`

Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource
`getDimension, getImageType, getLastModified, getResponseHeaders`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OneColorBasedResource

    public OneColorBasedResource(java.awt.Dimension dimension,
                                 java.lang.String basicColorParamName)

Method Detail

### getBasicColor

    protected java.awt.Color getBasicColor()

  Gets value of basicColor field.

  Returns:
    value of basicColor field

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `org.richfaces.resource.StateHolderResource`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput dataOutput)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput dataInput)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Throws:
    `java.io.IOException`

### paint

    public abstract void paint(java.awt.Graphics2D graphics2d)

  Specified by:
    `paint` in interface `org.richfaces.resource.Java2DUserResource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.